Delete a secret in a repository
DELETE
/repos/{owner}/{repo}/actions/secrets/{secretname}
const url = 'https://gitea.example.com/api/v1/repos/example/example/actions/secrets/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.example.com/api/v1/repos/example/example/actions/secrets/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repository
repo
required
string
Name of the repository
secretname
required
string
Name of the secret
Responses
Section titled “Responses”Delete one secret of the repository
Media typeapplication/json
APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json